<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        nutna_registrace();
        if(!$prihlaseni) { header("Location: index.php"); }

        $polozky_zmeny = mysql_fetch_array(dotaz("SELECT * FROM forum_uzivatele WHERE id = '$prihlaseni_id';"));

        if(isset($_POST[zmenit])) {
                $email = orez_retezec($_POST[email]);
                dotaz("SELECT id FROM forum_uzivatele WHERE ((email = '$email') && (email != '$polozky_zmeny[email]'));");
                if((mysql_affected_rows() != 0) && (!empty($email))) { $chyba_zmeny .= "&nbsp;- email <b>".$_POST[email]."</b> je v tomto fóru již registrován<br />"; }

                if($email) {
                        $cast1 = '[-a-z0-9!#$%&\'*+/=?^_`{|}~]';
                        $cast2 = '[a-z0-9]([-a-z0-9]{0,61}[a-z0-9])';
                        if(!eregi("^$cast1+(\\.$cast1+)*@($cast2?\\.)+$cast2\$", $email)) {
                                $chyba_zmeny .= "&nbsp;- email je uveden v nesprávném formátu (jmeno@domena.koncovka)<br />";
                        }
                }

                if($_POST[icq]) {
                        $icq = str_replace("-","",$_POST[icq]);
                        if(!eregi("^[0-9]{8,10}$",$icq)) {
                                $chyba_zmeny .= "&nbsp;- ICQ smí obsahovat pouze číslice, jejich počet je 8 až 10.<br />";
                        }
                }

                if($_POST[www]) { $www = str_replace("http://", "", orez_retezec_2($_POST[www])); }

                if(empty($chyba_zmeny)) {
                        $jabber = orez_retezec_2($_POST[jabber]);
                        $skype = orez_retezec_2($_POST[skype]);
                        $msn = orez_retezec_2($_POST[msn]);
                        dotaz("UPDATE forum_uzivatele SET email = '$email', www = '$www', icq = '$icq', jabber = '$jabber', skype = '$skype', msn = '$msn' WHERE id = '$prihlaseni_id' LIMIT 1;");
                } else {
                        $chyba_zmeny = "<br /><b>Změna údajů nebyla úspěšná. Možné příčiny:</b><br />".$chyba_zmeny;
                }
        } elseif(isset($_POST[zmenit_heslo])) {
                $nove_heslo = orez_retezec_2($_POST[nove_heslo]);
                if(strlen($nove_heslo) < 5) { $chyba_zmeny_hesla .= "&nbsp;- heslo musí mít minimálně 5 znaků<br />"; }
                $nove_heslo_znovu = orez_retezec_2($_POST[nove_heslo_znovu]);
                if($nove_heslo != $nove_heslo_znovu) { $chyba_zmeny_hesla .= "&nbsp;- hesla se neshodují<br />"; }

                $chyba_zmeny_hesla .= overeni_vyplneni($_POST[nove_heslo], "Heslo");
                $chyba_zmeny_hesla .= overeni_vyplneni($_POST[nove_heslo_znovu], "Heslo znovu");
                if(empty($chyba_zmeny_hesla)) {
                        $nove_heslo = sha1(orez_retezec_2($_POST[nove_heslo]));
                        dotaz("UPDATE forum_uzivatele SET heslo = '$nove_heslo' WHERE id = '$prihlaseni_id' LIMIT 1;");
                        $chyba_zmeny_hesla = "<br /><b>Heslo bylo úspěšně změněno.</b><br />";
                } else {
                        $chyba_zmeny_hesla = "<br /><b>Změna hesla nebyla úspěšná. Možné příčiny:</b><br />".$chyba_zmeny_hesla;
                }
        }

        $polozky_zmeny = mysql_fetch_array(dotaz("SELECT * FROM forum_uzivatele WHERE id = '$prihlaseni_id';"));

        echo hlavicka("$forum_jmeno | Změna údajů");
        echo logo();
        echo menu();
?>
        <div id="navigace">Změna údajů</div>
        <form action="zmenit_udaje.php" method="post" id="zmena">
                <fieldset>
                        <legend>Změna údajů</legend>
                        <?php echo $chyba_zmeny; ?>
                        <h3>Neměnitelné údaje:</h3>
                        <div id="nemenitelne">
                                Jméno: <b><?php echo $polozky_zmeny[jmeno]; ?></b>
                        </div>
                        <h3>Měnitelné údaje:</h3>
                        <label>Email:</label><input type="text" name="email" value="<?php echo $polozky_zmeny[email]."\" ".$js_form; ?> /><br />
                        <label>ICQ:</label><input type="text" name="icq" value="<?php if($polozky_zmeny[icq] == 0) { $polozky_zmeny[icq] = ""; } echo $polozky_zmeny[icq]."\" ".$js_form; ?> /><br />
                        <label>Skype:</label><input type="text" name="skype" value="<?php echo $polozky_zmeny[skype]."\" ".$js_form; ?> /><br />
                        <label>MSN Messenger:</label><input type="text" name="msn" value="<?php echo $polozky_zmeny[msn]."\" ".$js_form; ?> /><br />
                        <input type="submit" name="zmenit" value="Změnit údaje" id="odeslat" />
                </fieldset>
        </form>
        <form action="zmenit_udaje.php" method="post" id="zmena" style="border-top-width: 0px;">
                <fieldset>
                        <legend>Změna hesla</legend>
                        <?php echo $chyba_zmeny_hesla; ?>
                        <label>Nové heslo:</label><input type="password" name="nove_heslo" <?php echo $js_form; ?> /><br />
                        <label>Nové heslo znovu:</label><input type="password" name="nove_heslo_znovu" <?php echo $js_form; ?> /><br />
                        <input type="submit" name="zmenit_heslo" value="Změnit heslo" id="odeslat" />
                </fieldset>
        </form>
<?php 
        echo $paticka; 
?>